Index · Directives · Python · libudev · gudev systemd 220

## Name

systemd-hibernate-resume-generator — Unit generator for resume= kernel parameter

## Synopsis

`/usr/lib/systemd/system-generators/systemd-hibernate-resume-generator`

## Description

`systemd-hibernate-resume-generator` is a generator that instantiates systemd-hibernate-resume@.service(8) unit according to the value of `resume=` parameter specified on the kernel command line.

## Kernel Command Line

`systemd-hibernate-resume-generator` understands the following kernel command line parameters:

`resume=`

  Takes a path to the resume device. Both persistent block device paths like `/dev/disk/by-foo/bar` and fstab(5)-style specifiers like "`FOO=bar`" are supported.

## See Also

systemd(1), systemd-hibernate-resume@.service(8), kernel-command-line(7)